package com.usky.dm.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.dm.domain.PlanSpot;
import com.usky.dm.service.PlanSpotService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 线路-点位 关联
 *
 * @author ya
 * @since 2022-02-22
 */
@RestController
@RequestMapping("/planSpot")
public class PlanSpotController {

    @Autowired
    private PlanSpotService planSpotService;


    /**
     * 记录查询
     * @param pathId 线路编号
     * @return
     */
    @GetMapping("/list")
    public ApiResult<List<PlanSpot>> list(@RequestParam Integer pathId)
    {
        return ApiResult.success(planSpotService.list(pathId));
    }
}

