package com.usky.dm.domain;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-05-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BaAhuInfo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 运行状态
     */
    private String rs;

    /**
     * 故障状态
     */
    private String al;

    /**
     * 手自动
     */
    private String aom;

    /**
     * 启停控制
     */
    private String c;

    /**
     * 风机压差
     */
    private String jdps;

    /**
     * 滤网压差
     */
    private String zx;

    /**
     * 防冻报警
     */
    private String fd;

    /**
     * 送风温度
     */
    private String st;

    /**
     * 送风湿度
     */
    private String sh;

    /**
     * 回风温度
     */
    private String rt;

    /**
     * 回风湿度
     */
    private String rh;

    /**
     * 排风温度
     */
    private String pt;

    /**
     * 排风湿度
     */
    private String ph;

    /**
     * 新风阀反馈
     */
    private String xffb;

    /**
     * 新风阀开关控制
     */
    private String xfc;

    /**
     * 回风阀反馈
     */
    private String hffb;

    /**
     * 回风阀开关控制
     */
    private String hfc;

    /**
     * 排风阀反馈
     */
    private String pffb;

    /**
     * 排风阀开关控制
     */
    private String pfc;

    /**
     * 水阀调解控制
     */
    private String sfm;

    /**
     * 水阀反馈
     */
    private String sffb;

    /**
     * 风阀调解控制
     */
    private String ffm;

    /**
     * 风阀反馈
     */
    private String fffb;

    /**
     * 设定温度
     */
    private String sett;

    /**
     * 冬夏季切换
     */
    private String mode;

    /**
     * 总启停
     */
    private String setc;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 创建时间
     */
    private Date createTime;


}
