package com.usky.dm.domain;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-05-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BaPauInfo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 运行状态
     */
    private String rs;

    /**
     * 故障状态
     */
    private String al;

    /**
     * 手自动
     */
    private String aom;

    /**
     * 启停控制
     */
    private String c;

    /**
     * 风机压差
     */
    private String jdps;

    /**
     * 滤网压差
     */
    private String zx;

    /**
     * 送风温度
     */
    private String st;

    /**
     * 送风湿度
     */
    private String sh;

    /**
     * 水阀调解控制
     */
    private String fm;

    /**
     * 水阀反馈
     */
    private String sffb;

    /**
     * 设定温度
     */
    private String sett;

    /**
     * 冬夏季切换
     */
    private String mode;

    /**
     * 总启停
     */
    private String setc;

    /**
     * 创建时间
     */
    private Date createTime;


}
