package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Building implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 建筑名称
     */
    private String buildName;

    /**
     * 地理坐标‘,’分隔
     */
    private String posistion;

    /**
     * 省
     */
    private String addr1;

    /**
     * 市
     */
    private String addr2;

    /**
     * 区、县
     */
    private String addr3;

    /**
     * 详情地址
     */
    private String address;

    /**
     * 添加时间
     */
    private Date addTime;

    /**
     * 添加人
     */
    private String addMan;

    /**
     * 楼层
     */
    private String floor;

    /**
     * 面积
     */
    private String area;

    /**
     * 逻辑删除表示 0 删除 1 未删除
     */
    private String data1;

    /**
     * 预留字段
     */
    private String data2;

    /**
     * 预留字段
     */
    private String data3;

    /**
     * 预留字段
     */
    private String data4;

    /**
     * 预留字段
     */
    private String data5;


}
