package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 设备心跳表
 * </p>
 *
 * @author ya
 * @since 2022-02-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TbInfo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 设备本地注册唯一编码
     */
    private String deviceId;

    /**
     * 创建时间
     */
    private Date createTime;


    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 心跳内容
     */
    private String pointCode;

    /**
     * 心跳状态
     */
    private String pointData;

    /**
     * 备注
     */
    private String remark;
    
    private Boolean isNew;
    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 单位名称
     */
    private String companyName;
    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 设备类型名称
     */
    private String deviceTypeName;
}
