package com.usky.dm.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.dm.domain.DeviceChannel;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface DeviceChannelMapper extends CrudMapper<DeviceChannel> {


    Page<DeviceChannel> page(IPage<DeviceChannel> page, @Param("name") String name,
                             @Param("dwtype") Integer dwtype);
}
