package com.usky.dm.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.dm.domain.Device;
import com.usky.dm.mapper.vo.DeviceCollectVO;
import com.usky.dm.mapper.vo.DeviceRequestVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */

@Repository
public interface DeviceMapper extends CrudMapper<Device> {



    List<DeviceCollectVO> getCollect();


    Page<Device> list(IPage<Device> page, @Param("dr") DeviceRequestVO deviceRequestVO);

}
