package com.usky.dm.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.dm.domain.DeviceType;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Repository
public interface DeviceTypeMapper extends CrudMapper<DeviceType> {


    Page<DeviceType> page(IPage<DeviceType> page, @Param("name") String name,
                          @Param("typeValue") String typeValue);
}
