package com.usky.dm.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.dm.domain.EventManage;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * <p>
 * 事件管理 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface EventManageMapper extends CrudMapper<EventManage> {


    Page<EventManage> page(IPage<EventManage> page, @Param("name") String name, @Param("type") String type,
                           @Param("startTime") Date startTime,
                           @Param("endTime") Date endTime);
}
