package com.usky.dm.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.dm.domain.InspectionPoint;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 维保点位 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Repository
public interface InspectionPointMapper extends CrudMapper<InspectionPoint> {

    Page<InspectionPoint> page(IPage<InspectionPoint> page, @Param("name") String name,
                               @Param("address") String address);
}
