package com.usky.dm.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.dm.domain.MaintianLog;
import com.usky.dm.mapper.vo.MaintianLogRequest;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 维保记录 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface MaintianLogMapper extends CrudMapper<MaintianLog> {

    Page<MaintianLog> page(IPage<MaintianLog> page, @Param("ar") MaintianLogRequest maintianLogRequest);
}
