package com.usky.dm.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.dm.domain.MaintianPlan;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 维保计划 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Repository
public interface MaintianPlanMapper extends CrudMapper<MaintianPlan> {
    Page<MaintianPlan> page(IPage<MaintianPlan> page, @Param("name") String name,
                            @Param("dutyId") Integer dutyId);
}
