package com.usky.dm.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.dm.domain.PlanChild;
import com.usky.dm.mapper.vo.MaintianLogRequest;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 维保计划关联关系表 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Repository
public interface PlanChildMapper extends CrudMapper<PlanChild> {

    Page<PlanChild> page(IPage<PlanChild> page, @Param("ar") MaintianLogRequest maintianLogRequest);
}
