package com.usky.dm.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.dm.domain.TbInfo;
import com.usky.dm.mapper.vo.InfoRequest;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 设备心跳表 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-02-28
 */
@Repository
public interface TbInfoMapper extends CrudMapper<TbInfo> {


    Page<TbInfo> page(IPage<TbInfo> page, @Param("ar") InfoRequest infoRequest);
}
