package com.usky.dm.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.dm.domain.WorkOrder;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 工单 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface WorkOrderMapper extends CrudMapper<WorkOrder> {


    Page<WorkOrder> page(IPage<WorkOrder> page, @Param("wo") WorkOrder workOrder);

}
