package com.usky.dm.mapper.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author yq
 * @date 2022/6/7 14:19
 */
@Data
public class WorkOrderRequest {

    /**
     * 页数
     */
    private Integer current;
    /**
     * 条数
     */
    private Integer size;
    /**
     * 工单名称
     */
    private  String name;
    /**
     * 状态(0未处理1已处理:通过2已处理:未通过)
     */
    private Integer status;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 团队编码
     */
    private Integer teamId;
    /**
     * 团队用户名称
     */
    private String userName;
    /**
     * 团队用户编号
      */
    private String userId;

    /**
     * 工单类型(1消防告警，2巡检计划，3ba厕位故障)
     */
    private Integer wokeOrderType;
    /**
     * 团队id集合
     */
    private List<Integer> teamIds;

    private Integer id;
}
