package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.BaCwInfo;
import com.usky.dm.domain.WorkOrder;
import com.usky.dm.service.vo.BaCwCollectVO;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2022-05-25
 */
public interface BaCwInfoService extends CrudService<BaCwInfo> {

//    void addByConfig();

    CommonPage<BaCwInfo> list(Integer current, Integer size, Date startTime, Date endTime, String status, String floor,
                              String type, Boolean isAlert, String name);


    void addAlert(WorkOrder workOrder);


    void checkAlert(WorkOrder workOrder);


    BaCwCollectVO collect(String floor, String type);


    List<BaCwCollectVO> collectByFloor(String floor, String type);

}
