package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.CommunicationApi;

/**
 * <p>
 * 通信接口 服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface CommunicationApiService extends CrudService<CommunicationApi> {

    boolean add(CommunicationApi communicationApi);

    boolean update(CommunicationApi communicationApi);

    Boolean checkNameUnique(CommunicationApi communicationApi);


    CommonPage<CommunicationApi> list(Integer current, Integer size, String storeName, String transferType);

    String export(String storeName, String transferType);

    boolean remove(Integer id);
}
