package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.Company;

/**
 * <p>
 * 单位表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface CompanyService extends CrudService<Company> {


    CommonPage<Company> list(Integer current, Integer size, String name);


    boolean add(Company company);

    boolean update(Company company);

    Boolean checkNameUnique(Company company);

    boolean remove(Integer id);


    Company getDefault();
}
