package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.DeviceChannel;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface DeviceChannelService extends CrudService<DeviceChannel> {

    boolean add(DeviceChannel deviceChannel);

    boolean update(DeviceChannel deviceChannel);

    Boolean checkNameUnique(DeviceChannel deviceChannel);

    CommonPage<DeviceChannel> list(Integer current, Integer size, String name, Integer dwType);

    String export(String name, Integer dwType);

    boolean remove(Integer id);


}
