package com.usky.dm.service;


import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.DevopsTeam;
import com.usky.dm.domain.DevopsTeamRelation;

import java.util.List;

/**
 * <p>
 * 团队-人员 服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface DevopsTeamRelationService extends CrudService<DevopsTeamRelation> {



    void removeByTeamId(Integer teamId);

    void insertList(DevopsTeam devopsTeam);


    List<DevopsTeamRelation> list(Integer teamId);


    long getGroupByPhone();
}
