package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.DevopsTeam;

/**
 * <p>
 * 班组人员 服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface DevopsTeamService extends CrudService<DevopsTeam> {


    boolean add(DevopsTeam devopsTeam);

    boolean update(DevopsTeam devopsTeam);

    Boolean checkNameUnique(DevopsTeam devopsTeam);


    CommonPage<DevopsTeam> list(Integer current, Integer size, String name, String userName);


    boolean remove(Integer id);
}
