package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.EventManage;
import com.usky.dm.service.vo.AlertCheckVO;

import java.util.Date;

/**
 * <p>
 * 事件管理 服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface EventManageService extends CrudService<EventManage> {

    boolean add(EventManage eventManage);

    boolean update(EventManage eventManage);

    Boolean checkNameUnique(EventManage eventManage);


    CommonPage<EventManage> list(Integer current, Integer size, String name, String type, Date startTime, Date endTime);

    String export(String name, String type, Date startTime, Date endTime);

    AlertCheckVO getCollect(Integer type);

    boolean remove(Integer id);
}
