package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.Facility;

/**
 * <p>
 * 资产表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface FacilityService extends CrudService<Facility> {

    boolean add(Facility facility);

    boolean update(Facility facility);

    Boolean checkNameUnique(Facility facility);


    CommonPage<Facility> list(Integer current, Integer size, String name, String address);

    String export(String name, String address);

    boolean remove(Integer id);
}
