package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.MaintianLog;
import com.usky.dm.domain.PlanChild;
import com.usky.dm.domain.WorkOrder;
import com.usky.dm.mapper.vo.MaintianLogRequest;

/**
 * <p>
 * 维保记录 服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface MaintianLogService extends CrudService<MaintianLog> {

    boolean add(MaintianLog maintianLog);

    boolean addBatch(Integer planId, PlanChild planChild);

    boolean update(MaintianLog maintianLog);

    Boolean checkNameUnique(MaintianLog maintianLog);


    CommonPage<MaintianLog> list(MaintianLogRequest maintianLogRequest);


    String export(String name, Integer dutyId);

    boolean remove(Integer id);

    void checkWorkOrder(WorkOrder workOrder);
}
