package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.MaintianPlan;

/**
 * <p>
 * 维保计划 服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface MaintianPlanService extends CrudService<MaintianPlan> {

    boolean add(MaintianPlan maintianPlan);

    boolean update(MaintianPlan maintianPlan);

    Boolean checkNameUnique(MaintianPlan maintianPlan);


    CommonPage<MaintianPlan> list(Integer current, Integer size, String name, Integer dutyId);


    String export(String name, Integer dutyId);



    boolean remove(Integer id);
}
