package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.MonitorPoint;

import java.util.Date;

/**
 * <p>
 * 监测点位 服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface MonitorPointService extends CrudService<MonitorPoint> {

    boolean add(MonitorPoint monitorPoint);

    boolean update(MonitorPoint monitorPoint);

    Boolean checkNameUnique(MonitorPoint monitorPoint);


    CommonPage<MonitorPoint> list(Integer current, Integer size, String name, Date startTime, Date endTime);

    String export(String name, Date startTime, Date endTime);

    boolean remove(Integer id);
}
