package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.MaintianPlan;
import com.usky.dm.domain.PlanChild;
import com.usky.dm.mapper.vo.MaintianLogRequest;

import java.util.Map;

/**
 * <p>
 * 维保计划关联关系表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface PlanChildService extends CrudService<PlanChild> {


    CommonPage<PlanChild> list(MaintianLogRequest maintianLogRequest);

    Map<String,Object> getCollect();

    String export(MaintianLogRequest maintianLogRequest);

    PlanChild add(MaintianPlan maintianPlan);
}
