package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.TbDeviceStatus;
import com.usky.dm.mapper.vo.AlertRequest;
import com.usky.dm.service.vo.AlertCheckVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 设备心跳表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-03-14
 */
public interface TbDeviceStatusService extends CrudService<TbDeviceStatus> {


    AlertCheckVO selectCollect(AlertRequest alertRequest);

    String export(AlertRequest alertRequest);

    CommonPage<TbDeviceStatus> page(AlertRequest alertRequest);

    /**
     * 首页统计图表
     * @return
     */
    List<Map<String,Object>> getCollectIco(AlertRequest alertRequest);


    List<Map<String,Object>> getCollectIcoDetail(AlertRequest alertRequest);

}
