package com.usky.dm.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2022/2/24 10:35
 */
@Data
public class CApiExport {

    /**
     * 通信接口名称
     */
    @Excel(name = "通信接口名称", height = 6, width = 20)
    private String interfaceName;

    /**
     * 通信接口路径
     */
    @Excel(name = "通信接口路径", height = 6, width = 20)
    private String interfaceRoute;

    /**
     * 通信接口参数
     */
    @Excel(name = "通信接口参数", height = 6, width = 20)
    private String interfaceParameter;

    /**
     * 接口传输方式
     */
    @Excel(name = "接口传输方式", height = 6, width = 20)
    private String interfaceTransmissionMode;

    /**
     * 接口说明
     */
    @Excel(name = "接口说明", height = 6, width = 20)
    private String interfaceExplain;

    /**
     * 接口文档路径
     */
    @Excel(name = "接口文档路径", height = 6, width = 20)
    private String interfaceFileRoute;

    /**
     * 接口所属商家
     */
    @Excel(name = "接口所属商家", height = 6, width = 20)
    private String business;

    /**
     * 单位编号
     */
    @Excel(name = "单位编号", height = 6, width = 20)
    private String companyCode;

    /**
     * 显示状态：0.不显示；1.显示;
     */
    private Integer eState;

    /**
     * 添加人
     */
    @Excel(name = "添加人", height = 6, width = 20)
    private String addPeople;

    /**
     * 添加时间
     */
    @Excel(name = "添加时间", height = 6, width = 20)
    private Date addTime;

}
