package com.usky.dm.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2022/2/25 9:17
 */
@Data
public class DeviceExport {

    /**
     * 设备编号
     */
    @Excel(name = "设备编号", height = 6, width = 20)
    private String ownerCode;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称", height = 6, width = 20)
    private String ownerName;

    /**
     * 安装位置
     */
    @Excel(name = "安装位置", height = 6, width = 20)
    private String unitinfo;

    /**
     * 楼层
     */
    @Excel(name = "楼层", height = 6, width = 20)
    private String louyu;

    /**
     * sim卡
     */
    @Excel(name = "sim卡", height = 6, width = 20)
    private String sim;

    /**
     * 维保时间
     */
    @Excel(name = "维保时间", height = 6, width = 20)
    private String maintainTime;

    /**
     * 对应方法
     */
    @Excel(name = "对应方法", height = 6, width = 20)
    private Integer destAddress;

    /**
     * 省
     */
    @Excel(name = "省", height = 6, width = 20)
    private String addr1;

    /**
     * 市
     */
    @Excel(name = "市", height = 6, width = 20)
    private String addr2;

    /**
     * 区、县
     */
    @Excel(name = "区、县", height = 6, width = 20)
    private String addr3;

    /**
     * 地址
     */
    @Excel(name = "地址", height = 6, width = 20)
    private String address;

    /**
     * 位置
     */
    @Excel(name = "位置", height = 6, width = 20)
    private String posistion;

    /**
     * 安装时间
     */
    @Excel(name = "安装时间", height = 6, width = 20)
    private Date installTime;

    /**
     * 安装人
     */
    @Excel(name = "安装人", height = 6, width = 20)
    private String installMan;

    /**
     * 1火系统  2水系统 3烟感系统 4消防栓，5液位 6rtu 7电气火灾 8防火门 9气体灭火 10人脸识别 16视频监控 128井盖
     */
    @Excel(name = "单位类型", height = 6, width = 20)
    private Integer dwtype;

    /**
     * 建筑id
     */
    @Excel(name = "建筑id", height = 6, width = 20)
    private String ownerXh;

    /**
     * 间隔时间
     */
    @Excel(name = "间隔时间", height = 6, width = 20)
    private Integer nextTime;

    /**
     * 社区
     */
    @Excel(name = "社区", height = 6, width = 20)
    private String community;

    /**
     * 所属单位
     */
    @Excel(name = "所属单位", height = 6, width = 20)
    private String company;

    /**
     * 房间唯一编码
     */
    @Excel(name = "房间唯一编码", height = 6, width = 20)
    private String rtmp;

    /**
     * 设状态0删除1未删除 默认1
     */
    @Excel(name = " 设状态0删除1未删除 默认1", height = 6, width = 20)
    private String hls;

    @Excel(name = "html5", height = 6, width = 20)
    private String html5;

    @Excel(name = "danwei", height = 6, width = 20)
    private String danwei;

    /**
     * 倍率
     */
    @Excel(name = "倍率", height = 6, width = 20)
    private String ownerBl;

    /**
     * 报告推送参数1
     */
    @Excel(name = "报告推送参数1", height = 6, width = 20)
    private Long pushParam1;

    /**
     * 报告推送参数2
     */
    @Excel(name = "报告推送参数2", height = 6, width = 20)
    private Long pushParam2;

    /**
     * 报告推送参数3
     */
    @Excel(name = "报告推送参数3", height = 6, width = 20)
    private Long pushParam3;

    /**
     * 报告推送参数4
     */
    @Excel(name = "报告推送参数4", height = 6, width = 20)
    private Long pushParam4;

    /**
     * 登录参数Json格式存储
     */
    @Excel(name = "登录参数Json格式存储", height = 6, width = 20)
    private String loginParam;

    /**
     * 传输类型
     */
    @Excel(name = "传输类型", height = 6, width = 20)
    private String transferType;
}
