package com.usky.dm.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2022/2/25 9:43
 */
@Data
public class EventManageExport {

    @Excel(name = "事件名称", height = 6, width = 20)
    private String eventName;

    /**
     * 事件类型：1.消防隐患；2.消防告警;3.设备设施
     */
    @Excel(name = "事件类型", height = 6, width = 20)
    private Integer eventType;

    /**
     * 报告内容
     */
    @Excel(name = "报告内容", height = 6, width = 20)
    private String eventContent;

    /**
     * 上报时间
     */
    @Excel(name = "上报时间", height = 6, width = 20)
    private Date reportingTime;

    /**
     * 状态：1.已处理; 0.未处理；
     */
    @Excel(name = "状态", height = 6, width = 20)
    private Integer clzt;

    /**
     * 处理人
     */
    @Excel(name = "处理人", height = 6, width = 20)
    private String clPeople;

    /**
     * 处理内容
     */
    @Excel(name = "处理内容", height = 6, width = 20)
    private String clContent;

    /**
     * 处理时间
     */
    @Excel(name = "处理时间", height = 6, width = 20)
    private Date clTiem;

    /**
     * 单位编号
     */
    @Excel(name = "单位编号", height = 6, width = 20)
    private String companyCode;

}
