package com.usky.dm.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class MaintianPlanExport {

    /**
     * 计划名称:任务名称
     */
    @Excel(name = "计划名称", height = 6, width = 20)
    private String planName;

    /**
     * 周期：星期一、星期二、星期三、星期四、星期五、星期六、星期日
     */
    @Excel(name = "计划周期", height = 6, width = 20)
    private String cycle;

    /**
     * 开始日期
     */
    @Excel(name = "开始时间", height = 6, width = 20,exportFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startDate;

    /**
     * 结束日期
     */
    @Excel(name = "结束时间", height = 6, width = 20,exportFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;

    /**
     * 开始巡检时间
     */
    @Excel(name = "开始巡检时间", height = 6, width = 20)
    private String startInspectTime;

    /**
     * 结束巡检时间
     */
    @Excel(name = "结束巡检时间", height = 6, width = 20)
    private String endInspectTime;

    /**
     * 单位编号
     */
    @Excel(name = "单位编号", height = 6, width = 20)
    private String companyCode;

    @Excel(name = "创建人", height = 6, width = 20)
    private String data1;

    /**
     * 团队名称
     */
    @Excel(name = "团队名称", height = 6, width = 20)
    private String teamName;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称", height = 6, width = 20)
    private String companyName;
}
