package com.usky.dm.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2022/2/25 9:37
 */
@Data
public class WorkOrderExport {

    /**
     * 工单名称
     */
    @Excel(name = "工单名称", height = 6, width = 20)
    private String workOrderName;

    /**
     * 内容
     */
    @Excel(name = "内容", height = 6, width = 20)
    private String workOrderContent;

    /**
     * 工单类型：1.告警；2.故障；3.其它：
     */
    @Excel(name = "工单类型", height = 6, width = 20)
    private Integer workOrderType;

    /**
     * 单位编号
     */
    @Excel(name = "单位编号", height = 6, width = 20)
    private String companyCode;

    /**
     * 添加人
     */
    @Excel(name = "添加人", height = 6, width = 20)
    private String addPeople;

    /**
     * 添加时间
     */
    @Excel(name = "添加时间", height = 6, width = 20)
    private Date addTime;

    /**
     * 处理状态：1.未处置;2.已处置;3.未通过
     */
    @Excel(name = "处理状态", height = 6, width = 20)
    private Integer clzt;

    /**
     * 处置时间
     */
    @Excel(name = "处置时间", height = 6, width = 20)
    private Date czTime;

    /**
     * 处置人
     */
    @Excel(name = "处置人", height = 6, width = 20)
    private String czPeople;

    /**
     * 处理内容
     */
    @Excel(name = "处理内容", height = 6, width = 20)
    private String clnr;

}
