package com.usky.dm.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.dm.domain.TbInfo;
import com.usky.dm.mapper.vo.InfoRequest;
import com.usky.dm.service.TbInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 设备心跳表
 *
 * @author ya
 * @since 2022-02-28
 */
@RestController
@RequestMapping("/tbInfo")
public class TbInfoController {

    @Autowired
    private TbInfoService tbInfoService;

    /**
     * 记录查询
     * @param infoRequest
     * @return
     */
    @PostMapping("/list")
    public ApiResult<CommonPage<TbInfo>> list(@RequestBody InfoRequest infoRequest)
    {
        return ApiResult.success(tbInfoService.list(infoRequest));
    }
}

