package com.usky.dm.domain;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-05-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BaJsjInfo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 泵1运行状态
     */
    private String b1rs;

    /**
     * 泵1故障状态
     */
    private String b1al;

    /**
     * 泵2运行状态
     */
    private String b2rs;

    /**
     * 泵2故障状态
     */
    private String b2al;

    /**
     * 液位开关
     */
    private String yw;

    /**
     * 创建时间
     */
    private Date createTime;


}
