package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-02-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DeviceStatus implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 设备状态表
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 所有者id
     */
    private String deviceid;

    /**
     * 子设备号
     */
    private Integer deviceno;

    /**
     * 设备状态(75:离 300:故 0:正)
     */
    private Integer devicestatus;

    /**
     * 发生时间
     */
    private Date statustime;

    /**
     * 烟感报警状态
     */
    private String fEvt;

    /**
     * 底座报警状态
     */
    private String cEvt;

    /**
     * 水压事件
     */
    private String wEvt;

    /**
     * 真实设备状态(0在线 不管是否故障,)
     */
    private String trueStatus;

    private LocalDateTime lastcommtime;


}
