package com.usky.dm.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.dm.domain.DevopsTeam;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 班组人员 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface DevopsTeamMapper extends CrudMapper<DevopsTeam> {



    Page<DevopsTeam> page(IPage<DevopsTeam> page, @Param("name") String name,
                          @Param("userName") String userName);
}
