package com.usky.dm.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.dm.domain.Floor;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface FloorMapper extends CrudMapper<Floor> {


    Page<Floor> page(IPage<Floor> page, @Param("name") String name,
                     @Param("buildName") String buildName,
                     @Param("buildId") Long buildId);
}
