package com.usky.dm.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.dm.domain.Room;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface RoomMapper extends CrudMapper<Room> {


    Page<Room> page(IPage<Room> page, @Param("name") String name,
                    @Param("floorName") String floorName,
                    @Param("floorId") Long floorId,
                    @Param("buildName") String buildName);
}
