package com.usky.dm.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.dm.domain.TbDeviceStatus;
import com.usky.dm.mapper.vo.AlertRequest;
import com.usky.dm.mapper.vo.DeviceCollectVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 设备心跳表 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-03-14
 */
@Repository
public interface TbDeviceStatusMapper extends CrudMapper<TbDeviceStatus> {


    List<DeviceCollectVO> selectCollect(AlertRequest alertRequest);


    Page<TbDeviceStatus> page(IPage<TbDeviceStatus> page, @Param("ar") AlertRequest alertRequest);
}
