package com.usky.dm.mapper.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author yq
 * @date 2022/3/8 9:16
 */
@Data
public class DeviceRequestVO {
    /**
     * 页数
     */
    private Integer current;
    /**
     * 条数
     */
    private Integer size;
    /**
     * 名称
     */
    private String name;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 设备类型
     */
    private Integer deviceType;
    /**
     * 大分类
     */
    private Integer bigDeviceType;
    /**
     * 详情分类
     */
    private List<Integer> deviceTypes;
    /**
     * 单位编码
     */
    private String companyCode;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 0故障1正常
     */
    private Integer bigStatus;
}
