package com.usky.dm.mapper.vo;

import lombok.Data;

import java.util.Date;

@Data
public class MaintianLogRequest {

    /**
     * 页数
     */
    private Integer current;
    /**
     * 条数
      */
    private Integer size;

    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 计划编号
     */
    private Long planId;

    /**
     * 计划字表id
     */
    private Long planChildId;
    /**
     * 计划名称
     */
    private String planName;
    /**
     * 责任人
     */
    private Long dutyId;
    /**
     * 用户
     */
    private Long userId;

    /**
     * 单位名称
     */
    private String companyCode;
    /**
     * 是否完成
      */
    private Boolean isComplete;
}
