package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.Building;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface BuildingService extends CrudService<Building> {


    /**
     * 建筑新增
     * @param building
     * @return
     */
    Boolean add(Building building);

    /**
     * 建筑修改
     * @return
     */
    Boolean update(Building building);

    Boolean checkNameUnique(Building building);

    /**
     * 删除
     * @param id
     * @return
     */
    Boolean delete(Long id);

    /**
     * 建筑查询
     * @param name
     * @param current
     * @param size
     * @return
     */
    CommonPage<Building> page(Integer current, Integer size, String name);
}
