package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.DeviceType;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface DeviceTypeService extends CrudService<DeviceType> {


    boolean add(DeviceType deviceType);

    boolean update(DeviceType deviceType);

    Boolean checkNameUnique(DeviceType deviceType);


    CommonPage<DeviceType> list(Integer current, Integer size, String name, String typeValue);

    String export(String name, String typeValue);

    List<DeviceType> all(String name, String typeValue);

    boolean remove(Integer id);
}
