package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.InspectionPoint;

/**
 * <p>
 * 维保点位 服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface InspectionPointService extends CrudService<InspectionPoint> {


    boolean add(InspectionPoint inspectionPoint);

    boolean update(InspectionPoint inspectionPoint);

    Boolean checkNameUnique(InspectionPoint inspectionPoint);


    CommonPage<InspectionPoint> list(Integer current, Integer size, String name, String address);


    String export(String name, String address);



    boolean remove(Integer id);
}
