package com.usky.dm.service;


import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.MonitorDevice;
import com.usky.dm.domain.MonitorPoint;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-23
 */
public interface MonitorDeviceService extends CrudService<MonitorDevice> {


    void removeByTeamId(Integer pointId);

    void insertList(MonitorPoint monitorPoint);


    List<MonitorDevice> list(Integer pointId);
}
