package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.PlanPath;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2022-04-25
 */
public interface PlanPathService extends CrudService<PlanPath> {


    boolean add(PlanPath planPath);

    boolean update(PlanPath planPath);

    Boolean checkNameUnique(PlanPath planPath);


    CommonPage<PlanPath> list(Integer current, Integer size, String name);



    boolean remove(Long id);
}
