package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.Product;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2022-03-31
 */
public interface ProductService extends CrudService<Product> {


    boolean add(Product product);

    boolean update(Product product);

    Boolean checkNameUnique(Product product);

    CommonPage<Product> list(Integer current, Integer size, String name);


    boolean remove(Long id);

}
