package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.TbAlarm;
import com.usky.dm.domain.WorkOrder;
import com.usky.dm.mapper.vo.AlertRequest;
import com.usky.dm.service.vo.AlertCheckVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 设备告警表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-28
 */
public interface TbAlarmService extends CrudService<TbAlarm> {


    AlertCheckVO selectCollect(AlertRequest alertRequest);


    String export(AlertRequest alertRequest);


    CommonPage<TbAlarm> page(AlertRequest alertRequest);


    /**
     * 首页统计图表
     * @return
     */
    List<Map<String,Object>> getCollectIco(AlertRequest alertRequest);


    List<Map<String,Object>> getCollectIcoDetail(AlertRequest alertRequest);

    void checkWorkOrder(WorkOrder workOrder);


}
