package com.usky.dm.service.enums;

/**
 * @author yq
 * @date 2022/2/24 13:20
 */
public enum DeviceCollectCode {
    FIRE(1,"火系统"),
    WATER(2,"水系统"),
    RTU(3,"rtu"),
    EP_FIRE(4,"电气火灾"),
    VIDEO(5,"视频监控");
    private Integer code;

    private String name;


    DeviceCollectCode(Integer code,String name){
        this.code = code;
        this.name = name;
    }

    public static DeviceCollectCode parse(Integer code){
        DeviceCollectCode deviceCollectCode = null;
        for (DeviceCollectCode m: DeviceCollectCode.values()) {
            if (m.getCode().equals(code)){
                deviceCollectCode = m;
                break;
            }
        }
        return deviceCollectCode;
    }

    public Integer getCode(){
        return code;
    }
    public String getName(){
        return name;
    }
}
