package com.usky.dm.service.enums;

/**
 * @author yq
 * @date 2022/2/24 11:33
 */
public enum  DeviceTypeCode {


    FIRE(1,"火系统"),
    WATER(2,"水系统"),
    YW(3,"烟感系统"),
    FIRE_HYDRANT(4,"消防栓"),
    LIQUID_LEVEL(5,"液位"),
    RTU(6,"rtu"),
    EP_FIRE(7,"电气火灾"),
    PREVENT_FIRE(8,"防火门"),
    GASES(9,"气体灭门"),
    FACE(10,"人脸识别"),
    VIDEO(16,"视频监控"),
    WELL(128,"井盖");
    private Integer code;

    private String name;


    DeviceTypeCode(Integer code,String name){
        this.code = code;
        this.name = name;
    }

    public static DeviceTypeCode parse(Integer code){
        DeviceTypeCode deviceTypeCode = null;
        for (DeviceTypeCode m: DeviceTypeCode.values()) {
            if (m.getCode().equals(code)){
                deviceTypeCode = m;
                break;
            }
        }
        return deviceTypeCode;
    }

    public Integer getCode(){
        return code;
    }
    public String getName(){
        return name;
    }
}
