package com.usky.dm.service.enums;

/**
 * 工单类型
 * @author yq
 * @date 2022/6/7 13:22
 */
public enum  WorkOrderType {


    FIRE_ALERT(1,"消防告警"),
    PLAN_DETAIL(2,"巡检计划"),
    BA_TOILET_ALERT(3,"BA厕位故障");
    private Integer code;

    private String name;


    WorkOrderType(Integer code,String name){
        this.code = code;
        this.name = name;
    }

    public static WorkOrderType parse(Integer code){
        WorkOrderType workOrderType = null;
        for (WorkOrderType m:WorkOrderType.values()) {
            if (m.getCode().equals(code)){
                workOrderType = m;
                break;
            }
        }
        return workOrderType;
    }

    public Integer getCode(){
        return code;
    }
    public String getName(){
        return name;
    }
}
