package com.usky.dm.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2022/2/24 10:46
 */
@Data
public class DeviceChannelExport {

    /**
     * 设备编号
     */
    @Excel(name = "设备编号", height = 6, width = 20)
    private String deviceCode;

    /**
     * 通道名称
     */
    @Excel(name = "通道名称", height = 6, width = 20)
    private String passagewayName;

    /**
     * 类型为：1.用传（火系统） 2.水系统 3.烟感
     */
    @Excel(name = "类型", height = 6, width = 20)
    private Integer dwtype;

    /**
     * dwtype为1通道类型：0.通信报警；1.主机报警；dwtype为2通道类型：1.状态；2.剩余电量；3.无线信号；4.水压/水位；dwtype为3通道类型：1.状态；2.剩余电量；3.无线信号；
     */
    @Excel(name = "通道类型", height = 6, width = 20)
    private Integer passagewayType;

    /**
     * 单位编号
     */
    @Excel(name = "单位编号", height = 6, width = 20)
    private String companyCode;

    /**
     * 添加人/创建人
     */
    @Excel(name = "添加人", height = 6, width = 20)
    private String addPeople;

    /**
     * 添加时间/创建时间
     */
    @Excel(name = "添加时间", height = 6, width = 20)
    private Date addTime;
}
