package com.usky.dm.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2022/2/25 9:13
 */
@Data
public class DeviceTypeExport {
    /**
     * 类型名称
     */
    @Excel(name = "类型名称", height = 6, width = 20)
    private String typeName;

    /**
     * 类型值
     */
    @Excel(name = "类型值", height = 6, width = 20)
    private String typeValue;

    /**
     * 传输方式：3.2G/4G/5G；1.NB-IOT；2.Lord-IOT;
     */
    private Integer transmissionModel;

    @Excel(name = "传输方式", height = 6, width = 20)
    private String tm;

    /**
     * 厂家
     */
    @Excel(name = "厂家", height = 6, width = 20)
    private String business;

    /**
     * 单位编号
     */
    @Excel(name = "单位编号", height = 6, width = 20)
    private String companyCode;

    /**
     * 状态：0.不显示；1.显示
     */
    private String eState;

    /**
     * 添加人
     */
    @Excel(name = "添加人", height = 6, width = 20)
    private String addPeople;

    /**
     * 添加时间
     */
    @Excel(name = "添加时间", height = 6, width = 20,format = "yyyy-MM-dd HH:mm:ss w")
    private Date addTime;

    @Excel(name = "单位名称", height = 6, width = 20)
    private String companyName;
}
