package com.usky.dm.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2022/2/22 13:17
 */
@Data
public class InspectionPointExport {

    /**
     * 点位名称
     */
    @Excel(name = "点位名称", height = 6, width = 20)
    private String spotName;

    /**
     * 点位地址
     */
    @Excel(name = "点位地址", height = 6, width = 20)
    private String spotAddress;

    /**
     * 巡检点标签解析：二维码解析
     */
    @Excel(name = "二维码解析", height = 6, width = 20)
    private String spotLabelAnalysis;

    /**
     * 巡检点标签路径：二维码图片储存路径
     */
    @Excel(name = "二维码图片储存路径", height = 6, width = 20)
    private String spotLabelRoute;

    /**
     * 点位图片路径
     */
    @Excel(name = "点位图片路径", height = 6, width = 20)
    private String pictureRoute;

    /**
     * 单位编号
     */
    @Excel(name = "单位编号", height = 6, width = 20)
    private String companyCode;

    /**
     * 最新改动时间
     */
    @Excel(name = "最新改动时间", height = 6, width = 20)
    private Date latestChangeTime;

    /**
     * 设备编号
     */
    @Excel(name = "设备编号", height = 6, width = 20)
    private String data1;

    /**
     * 状态：0.不显示；1.显示
     */
    private Boolean delFlag;

    /**
     * 留用
     */
    private String data3;

    /**
     * 备注
     */
    private String remarks;

    private Integer spotType;

    /**
     * 用户名
     */
    @Excel(name = "用户名", height = 6, width = 20)
    private String userName;
}
