package com.usky.dm.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2022/2/25 9:27
 */
@Data
public class MonitorPointExport {

    /**
     * 监测对象名称
     */
    @Excel(name = "监测对象名称", height = 6, width = 20)
    private String objectName;

    /**
     * 单位编号
     */
    @Excel(name = "单位编号", height = 6, width = 20)
    private String companyCode;

    /**
     * 添加人
     */
    @Excel(name = "添加人", height = 6, width = 20)
    private String addPeople;

    /**
     * 添加时间
     */
    @Excel(name = "添加时间", height = 6, width = 20)
    private Date addTime;
    /**
     * 建筑
     */
    @Excel(name = "建筑", height = 6, width = 20)
    private String building;

    /**
     * 楼层
     */
    @Excel(name = "楼层", height = 6, width = 20)
    private String floor;
    /**
     * 房间
     */
    @Excel(name = "房间", height = 6, width = 20)
    private String room;
}
