package com.usky.dm.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalTime;
import java.util.Date;

@Data
public class PlanChildExport {


    @Excel(name = "序号", height = 6, width = 20)
    private Integer id;

    /**
     * 巡检日期
     */
    @Excel(name = "巡检日期", height = 6, width = 20,exportFormat = "yyyy-MM-dd HH:mm:ss")
    private Date inspectDate;

    /**
     * 开始时间
     */
    @Excel(name = "开始时间", height = 6, width = 20,exportFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 结束时间
     */
    @Excel(name = "结束时间", height = 6, width = 20,exportFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @Excel(name = "单位编号", height = 6, width = 20)
    private String companyCode;

    /**
     * 完成情况
     */
    @Excel(name = "完成情况", height = 6, width = 20)
    private String completion;

    @Excel(name = "是否完成", height = 6, width = 20)
    private Boolean isComplete;


    /**
     * 单位名称
     */
    @Excel(name = "单位名称", height = 6, width = 20)
    private String companyName;

    /**
     * 计划名称
     */
    @Excel(name = "计划名称", height = 6, width = 20)
    private String planName;

    /**
     * 团队名称
     */
    @Excel(name = "团队名称", height = 6, width = 20)
    private String teamName;
}
