package com.usky.dm.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2022/2/28 11:25
 */
@Data
public class TbAlertExport {

    /**
     * 设备本地注册唯一编码
     */
    @Excel(name = "设备编号", height = 6, width = 20)
    private String deviceId;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间", height = 6, width = 20)
    private Date createTime;

    /**
     * 告警时间
     */
    @Excel(name = "告警时间", height = 6, width = 20)
    private Date alarmTime;

    /**
     * 告警设备名称
     */
    @Excel(name = "设备名称", height = 6, width = 20)
    private String deviceName;

    /**
     * 告警内容
     */
    @Excel(name = "告警内容", height = 6, width = 20)
    private String alarmContent;

    /**
     * 告警状态 0 未处理 1 已处理
     */
    @Excel(name = "告警状态", height = 6, width = 20)
    private Integer alarmStatus;

    /**
     * 告警处理备注
     */
    @Excel(name = "备注", height = 6, width = 20)
    private String remark;
    /**
     * 属性
     */
    @Excel(name = "属性", height = 6, width = 20)
    private String  property;
    /**
     * value
     */
    @Excel(name = "告警值", height = 6, width = 20)
    private String  alertValue;
    /**
     * 状态
     */
    @Excel(name = "告警状态", height = 6, width = 20)
    private String  status;
    /**
     * 报警内容运行状态
     */
    @Excel(name = "告警类型", height = 6, width = 20)
    private String  alertType;
    /**
     * 序号
     */
    @Excel(name = "序号", height = 6, width = 20)
    private String  serial;
    /**
     * 地址
     */
    @Excel(name = "地址", height = 6, width = 20)
    private String  address;
    /**
     * 端口
     */
    @Excel(name = "端口", height = 6, width = 20)
    private String  port;
    /**
     * 设备状态名称
     */
    @Excel(name = "设备状态名称", height = 6, width = 20)
    private String  stuname;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称", height = 6, width = 20)
    private String companyName;
    /**
     * 单位编码
     */
    @Excel(name = "单位编码", height = 6, width = 20)
    private String companyCode;

}
